Class GetSeveralChaptersRequest
java.lang.Object
se.michaelthelin.spotify.requests.AbstractRequest<Chapter[]>
se.michaelthelin.spotify.requests.data.AbstractDataRequest<Chapter[]>
se.michaelthelin.spotify.requests.data.chapters.GetSeveralChaptersRequest
Deprecated.
This endpoint has been deprecated by Spotify.
Get Spotify catalog information for several chapters identified by their Spotify IDs. Chapters are only available
within the US, UK, Ireland, New Zealand and Australia markets.
-
Nested Class Summary
Nested ClassesModifier and TypeClassDescriptionstatic final classDeprecated.Builder class for building aGetSeveralChaptersRequest. -
Method Summary
Methods inherited from class AbstractRequest
bodyParametersToJson, deleteJson, executeAsync, getBody, getBodyParameters, getContentType, getHeaders, getHttpManager, getJson, getUri, initializeBody, postJson, putJsonModifier and TypeMethodDescriptionbodyParametersToJson(List<org.apache.hc.core5.http.NameValuePair> bodyParameters) Convert body parameters to JSON string.Execute DELETE request and get JSON response.Get something asynchronously.org.apache.hc.core5.http.HttpEntitygetBody()Get the request body.List<org.apache.hc.core5.http.NameValuePair> Get the body parameters for this request.org.apache.hc.core5.http.ContentTypeGet the content type for this request.List<org.apache.hc.core5.http.Header> Get the headers for this request.Get the HTTP manager for this request.getJson()Get JSON response as string.getUri()Get the URI for this request.voidInitialize the request body based on content type.postJson()Execute POST request and get JSON response.putJson()Execute PUT request and get JSON response.
-
Method Details
-
execute
public Chapter[] execute() throws IOException, SpotifyWebApiException, org.apache.hc.core5.http.ParseExceptionDeprecated.Get severalChapterobjects.- Returns:
- Multiple
Chapterobjects. - Throws:
IOException- In case of networking issues.SpotifyWebApiException- The Web API returned an error further specified in this exception's root cause.org.apache.hc.core5.http.ParseException- If a parsing error occurs.
-